Bug 213519 - upgrade fails on RAID1 LVM root
upgrade fails on RAID1 LVM root
Status: CLOSED DUPLICATE of bug 409931
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 14:39 EST by Andrew Gilmore
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 10:09:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Anaconda traceback log (52.74 KB, text/plain)
2006-11-01 14:39 EST, Andrew Gilmore
no flags Details
FC5 fstab for affected computer (854 bytes, text/plain)
2006-11-01 14:42 EST, Andrew Gilmore
no flags Details
RAID setup (234 bytes, text/plain)
2006-11-01 15:03 EST, Andrew Gilmore
no flags Details
LVM information, ran pvs, vgs, and lvs from lvm console (429 bytes, text/plain)
2006-11-01 15:07 EST, Andrew Gilmore
no flags Details

  None (edit)
Description Andrew Gilmore 2006-11-01 14:39:05 EST
Description of problem:
When upgrade is attempted from FC5, install fails at screen past welcome screen.

Version-Release number of selected component (if applicable):
Fedora Core 6 release

How reproducible:
every time

Steps to Reproduce:
1. boot from FC6 DVD
2. step through to welcome screen, click next
3. traceback <attached>
  
Actual results:
traceback, forced reboot

Expected results:
continue to allow install

Additional info:
Dell Precision 670 workstation.


Will also attach fstab, lvm setup and mdadm.conf from FC5
Comment 1 Andrew Gilmore 2006-11-01 14:39:07 EST
Created attachment 140024 [details]
Anaconda traceback log
Comment 2 Andrew Gilmore 2006-11-01 14:42:14 EST
Created attachment 140025 [details]
FC5 fstab for affected computer
Comment 3 Andrew Gilmore 2006-11-01 15:03:39 EST
Created attachment 140027 [details]
RAID setup
Comment 4 Andrew Gilmore 2006-11-01 15:07:06 EST
Created attachment 140028 [details]
LVM information, ran pvs, vgs, and lvs from lvm console
Comment 5 Andrew Gilmore 2006-11-01 21:19:26 EST
Note that this LVM on RAID1 setup was created by the FC5 anaconda installer, and
I haven't touched it since.
Comment 6 Andrew Gilmore 2006-11-02 17:48:20 EST
Comment on attachment 140028 [details]
LVM information, ran pvs, vgs, and lvs from lvm console

Didn't know that BZ had such a problem IDing text files. Sorry for the spam.
Comment 7 Jeremy Katz 2006-11-06 10:24:41 EST
Does booting with 'linux nodmraid' help?
Comment 8 Andrew Gilmore 2006-11-06 13:43:54 EST
Away from the box for a week, sorry. Will test Monday, November 13.
Comment 9 Andrew Gilmore 2006-11-13 17:56:47 EST
booting with linux nodmraid allowed the install to continue.

Thanks for the tip. Probably ought to have a good list of bootloader commands to
try with install failures linked to the CommonBugs page.

I did get an error about the MBR not being suitable for bootloader install. Not
sure what that was about.

Comment 10 Bug Zapper 2008-04-04 00:20:01 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Joel Andres Granados 2008-04-24 10:09:02 EDT
There is a bug where the dmraid stuff just blocks.  This bug has not been solved
yet and we are still working to fix it.   However there is a work around.  If
you use nodmraid, the installer will ignore/skip the dmraid stuff allowing the
install to finish.  This is a workaround and does not fix the problem.
There is a long list of bugs that are filed against this problem.  This bug is
one of them.  We have decided to close all the related nodmraid bugs and leave
just one open that will represent all of the others.  So this bug will be duped
for this reason.

*** This bug has been marked as a duplicate of 409931 ***

Note You need to log in before you can comment on or make changes to this bug.